CICS Transaction Server for VSE/ESA 1.1.1 - Supported Platform Summary

Product documentation


Abstract

The tables in this document contain the supported operating systems, and the hardware and software requirements for CICS Transaction Server (CICS TS) for VSE/ESA V1.1.1. There are related CICS links at the bottom of this document under Related Information.

Content






CICS TS for VSE/ESA V1.1.1 Supported Operating System

VSE/ESA
  • VSE/ESA V2.5 or higher




CICS TS for VSE/ESA V1.1.1 Hardware Requirements

VSE/ESA
  • CICS Transaction Server for VSE/ESA V1.1.1 will run on any IBM processor supported by VSE/ESA V2.5 or higher, which runs in ESA mode only. These processors include Enterprise Systems Architecture/390 (ESA/390) processors that meet the requirements of the host operating system, CICS access methods, and user application programs. System 370, System 370/XA, and ESA/370 processors are not supported.




CICS TS for VSE/ESA V1.1.1 Software Requirements

Language Environment (LE)

VSE/ESA
  • All the prerequisite software required by CICS Transaction Server for VSE/ESA V1.1.1 is in the VSE/ESA V2.5 package or higher.
VTAM
  • VTAM V4.2 (5686-065)
Note: The Inter-Enterprise variant of VTAM is required if using Persistent Session Support
Access Methods
  • CICS Transaction Server for VSE/ESA V1.1.1 can only be run if the following access method is installed:
    • VTAM V4.2 (5686-065)
    Note: The Inter-Enterprise variant of VTAM is required if using Persistent Session Support
TCP/IP
  • TCP/IP V1.4 (provided on the base tape of VSE/ESA V2.5) is required to run CICS Web support. CICS Transaction Server for VSE/ESA V1.1.1 does not support BTAM networks.
Databases
  • DL/I for VSE V1.11 (5746-XX1)
  • DB2 for VSE/ESA V6.1 (5648-158) or higher
Programming Languages
  • CICS Transaction Server for VSE/ESA V1.1.1 supports application programs that use the CICS command-level application programming interface (API) only, written in the following languages:
    • Assembler
    • C
    • COBOL
    • PL/I
Macro-level application programs must be converted to command-level using the tools and services provided, such as DFHMSCAN and the CICS/AMA utility.

CICS Transaction Server for VSE/ESA V1.1.1 does not support RPG II.
Translators
Compatibility
  • CICS Transaction Server for VSE/ESA V1.1.1 provides upward compatibility at source and phase level for command-level programs written in high assembler language, COBOL, and languages supported by Language Environment for VSE/ESA (LE/VSE) that executed correctly under CICS/VSE® V2, subject to the constraints listed below:
    • CICS Transaction Server for VSE/ESA V1.1.1 does not support C/370™ application programs compiled using the C/370 compiler. All such application programs must be recompiled using the IBM C for VSE/ESA compiler.
    • CICS Transaction Server for VSE/ESA V1.1.1 does not support PL/I application programs compiled using the DOS PL/I compiler. All such application programs must be recompiled using the IBM PL/I for VSE/ESA compiler.
    • DOS/VS COBOL and VS COBOL II application programs are supported using LE/VSE compatibility support.




CICS TS for VSE/ESA V1.1.1 Related Information

CICS Transaction Server for VSE/ESA V1.1.1.Release Guide

Program Directory for CICS Transaction Server for VSE/ESA V1.1.1

Preventive Service Planning (PSP) bucket (use Upgrade VSEESA260 Subset CICS/BOP)

Announcement Letter for CICS Transaction Server for VSE/ESA V1.1.1

CICS Support Page

VSE/ESA Platform Information

VSE products and components


Product Alias/Synonym

CICS/VSE CICS VSE z/VSE CICS/TS CICS TS CICS Transaction Server

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

CICS Transaction Server
Installation

Software version:

1.1.1

Operating system(s):

VSE

Reference #:

7006539

Modified date:

2013-09-30

Translate my page

Machine Translation

Content navigation